# Installation

Getting started with Nuxt3 is straightforward.

💡 Do you want to experience and prepare your project for Nuxt 3 without breaking changes? Check out [Nuxt Bridge](/bridge/intro) page!

## Prerequisites

Before installing Nuxt, you'll need to have a local development environment.

Recommended setup is:

* **Node.js** <sup>*</sup> (latest LTS version) [[Download](https://nodejs.org/en/download/)]
* **Visual Studio Code** [[Download](https://code.visualstudio.com/)]
* **Volar extension** [[Download](https://marketplace.visualstudio.com/items?itemName=johnsoncodehk.volar)]
* **Yarn package manager** [[Download](https://classic.yarnpkg.com/en/docs/install#windows-stable)]

<sup>*</sup> If you already have Node.js installed, check with `node --version` to ensure using `v14` or `v16`.


## Create project

From visual studio code, open an [integrated terminal](https://code.visualstudio.com/docs/editor/integrated-terminal) and use the following command to create a new starter project:

```bash
npx degit "nuxt/starter#v3" my-nuxt3-project
```

Open `my-nuxt3-project` folder in visual studio code:

```bash
code -r my-nuxt3-project
```

Install dependencies using yarn:

```bash
yarn install
```

## Start Development Server

Now you'll be able to use `yarn dev` to start nuxt app in development mode:

```bash
yarn dev -o
```

✨Well done! A browser window should automatically open to `http://localhost:3000`
